#include <iostream>
#include <iomanip>

using namespace std;

int main()
{
    int n,i,j;
    cin >> n;
    long double a[n],p[n],v=0,mv=0;
    for (i=0;i<n;i++)
    {
        cin >> a[i] >> p[i];
        j=i;
        while (j>0 && p[j]>p[j-1])
        {
            p[j]+=p[j-1];
            p[j-1]=p[j]-p[j-1];
            p[j]-=p[j-1];
            a[j]+=a[j-1];
            a[j-1]=a[j]-a[j-1];
            a[j]-=a[j-1];
            j--;
        }
    }
    for (i=0;i<n;i++)
    {
        v+=a[i];
        if (mv<v*(p[i]/100))
            mv=v*(p[i]/100);
    }
    cout << setprecision(4) << fixed << mv << endl;
    return 0;
}